summaryrefslogtreecommitdiff
path: root/tests/cp/thru-dangling
diff options
context:
space:
mode:
Diffstat (limited to 'tests/cp/thru-dangling')
-rwxr-xr-xtests/cp/thru-dangling4
1 files changed, 2 insertions, 2 deletions
diff --git a/tests/cp/thru-dangling b/tests/cp/thru-dangling
index 62f111587..1c5c12d4c 100755
--- a/tests/cp/thru-dangling
+++ b/tests/cp/thru-dangling
@@ -29,13 +29,13 @@ echo "cp: not writing through dangling symlink \`dangle'" \
# Starting with 6.9.90, this usage fails, by default:
cp f dangle > err 2>&1 && fail=1
-compare err exp-err || fail=1
+compare exp-err err || fail=1
test -f no-such && fail=1
# But you can set POSIXLY_CORRECT to get the historical behavior.
env POSIXLY_CORRECT=1 cp f dangle > out 2>&1 || fail=1
cat no-such >> out || fail=1
-compare out exp || fail=1
+compare exp out || fail=1
Exit $fail